import { CategoryType } from '../../../models/enums/data-space/category-type.enum';
import { ComponentType } from '../../../models/enums/data-space/component-type.enum';
import { NodeType } from '../../../models/enums/data-space/node-type.enum';
import { NodeModel } from '../../../models/interfaces/data-space/node.interface';

export const DS_NODE_LIST: NodeModel[] = [
  {
    id: null,
    type: NodeType.GOVERNANCE,
    name: NodeType.GOVERNANCE,
    categoryList: [
      {
        id: null,
        type: CategoryType.IAA_LOCAL,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.LOGGING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.CONSENT,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.MONITORING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.REPORTING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.CONTRACT,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.DISCOVERY,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.IDP,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.VOCABULARY,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.REGISTRY,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.SUPPORT,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
    ],
  },
  {
    id: null,
    type: NodeType.DATA_PROVIDER,
    name: NodeType.DATA_PROVIDER,
    categoryList: [
      {
        id: null,
        type: CategoryType.SD_TOOLING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.DATA_SERVICES,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
    ],
  },
  {
    id: null,
    type: NodeType.CONSUMER,
    name: NodeType.CONSUMER,
    categoryList: [
      {
        id: null,
        type: CategoryType.DATA_SHARING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.APPLICATION_SHARING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
    ],
  },
  {
    id: null,
    type: NodeType.APPLICATION_PROVIDER,
    name: NodeType.APPLICATION_PROVIDER,
    categoryList: [
      {
        id: null,
        type: CategoryType.SD_TOOLING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.APPLICATION_SERVICES,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
    ],
  },
  {
    id: null,
    type: NodeType.INFRASTRUCTURE_PROVIDER,
    name: NodeType.INFRASTRUCTURE_PROVIDER,
    categoryList: [
      {
        id: null,
        type: CategoryType.SD_TOOLING,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
      {
        id: null,
        type: CategoryType.INFRASTRUCTURE_SERVICES,
        componentList: [
          {
            id: null,
            type: ComponentType.BE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
          {
            id: null,
            type: ComponentType.FE_COMPONENT,
            param1: 'INFO',
            param2: '30000',
            param3: '/app/component/default.log',
            param4: '/app/component/configuration.properties',
            param5: '80',
            param6: 'default-uri',
            customImage: null,
            customComponentId: null,
          },
        ],
      },
    ],
  },
];
